# `(arew blake3)`

## Abstract

Chez Scheme bindings for [blake3 hashing library](https://github.com/BLAKE3-team/BLAKE3/).

## Public Interface

### `(make-blake3)`

### `(blake3-update! hasher bytevector)`

### `(blake3-finalize! hasher)`

### `(blake3 bytevector)`

Sugar for the above procedures. The definition of `blake3` is the
following:

```scheme
(define (blake3 bytevector)
  (define hasher (make-blake3))
  (blake3-update! hasher bytevector)
  (blake3-finalize! hasher))
```
